<template>
	<div>
		<template v-if="address.streetAddress">
			{{ address.streetAddress }}
			<br />
			<template v-if="address.addressLocality">
				{{ address.addressLocality
				}}<template v-if="address.addressLocality && address.addressRegion">,&nbsp;</template>
			</template>
			<template v-if="address.addressRegion">{{ address.addressRegion }}</template>
			<br />
			<a v-if="contactAddressHref" :href="contactAddressHref" target="_blank">Navigate to Contact Address</a>
		</template>
		<template v-else>Street address unavailable.</template>
		<br />
		<a v-if="fieldLocationHref" :href="fieldLocationHref" target="_blank">Navigate to Field Location</a>
	</div>
</template>

<script lang="ts">
import { computed, defineComponent } from '@vue/composition-api';
import { Address, Area } from '@/store/types';
import { createContactAddressHref, createFieldLocationHref } from './FieldAddress';

export default defineComponent({
	props: {
		address: { type: Object as () => Address, required: true },
		area: { type: Object as () => Area, required: true },
	},
	setup({ address, area }) {
		const contactAddressHref = computed(() => createContactAddressHref(address));
		const fieldLocationHref = computed(() => createFieldLocationHref(area));

		return {
			contactAddressHref,
			fieldLocationHref,
		};
	},
});
</script>
